#include <stdio.h>
#include <vector>

using namespace std;

int prim[200];
int nas[200];
int del[200];

int cnt=0;

void nasob(int *pole, int n)
{
	for (int i=0;i<cnt;i++) {
		while (!(n%prim[i])) {
			++pole[prim[i]];
			n/=prim[i];
		}
		if (!n)
			break;
	}
}


void dfs(vector<int> &pole)
{
	if (pole.size()<=1)
		return;


	vector<int> leva;
	vector<int> prava;

	int m=pole[0];

	for (int i=1;i<pole.size();i++) {
		if (pole[i]>=m)
			prava.push_back(pole[i]);
		else
			leva.push_back(pole[i]);
	}

	for (int i=2;i<=leva.size()+prava.size();i++)
		nasob(nas,i);

	for (int i=2;i<=leva.size();i++)
		nasob(del,i);

	for (int i=2;i<=prava.size();i++)
		nasob(del,i);

//	printf("%d %d\n",leva.size(), prava.size());
	dfs(leva);
	dfs(prava);
}


int main()
{
	int n;

	prim[cnt++]=2;
	for (int i=3;i<100;i++) {
		int j;
		for (j=2;j<i;j++) {
			if (!(i%j))
				break;
		}
		if (j==i) {
			prim[cnt++]=j;
//			printf("%d ",j);
		}
	}
//	printf("\n\n");

	while (scanf("%d",&n),n!=0) {

		for (int i=0;i<=100;i++) {
			nas[i]=del[i]=0;
		}
		vector<int> pole;
		for (int i=0; i<n; i++) {
			int v;
			scanf("%d",&v);
			pole.push_back(v);
		}
		dfs(pole);


		int num=1;
		int vysl[10000];

		for (int i=0;i<10000;i++) {
			vysl[i]=0;
		}

		for (int i=0;i<100;i++)
			nas[i]-=del[i];


		vysl[0]=1;



		for (int i=0;i<100;i++) {
			int k;
			for (int j=0;j<nas[i];j++) {
				int N=i;
/*				for (int i=num-1;i>=0;i--)
					printf("%d",vysl[i]);
				printf("\n");
				printf("x%d\n",N);*/

				int prenos=0;
				for (k=0;k<num;k++) {
					vysl[k]=vysl[k]*N+prenos;
					prenos=vysl[k]/10;
					vysl[k]%=10;
				}
				while (prenos) {
					vysl[k]=prenos%10;
					prenos/=10;
					++k;
				}
				num=k;
			}
		}
		for (int i=num-1;i>=0;i--)
			printf("%d",vysl[i]);
		printf("\n");
	}

	return 0;
}